Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class GLUniformData

    java.lang.Object
      javax.media.opengl.GLUniformData

    public class GLUniformData

extends Object

Constructor Summary
`GLUniformData(String name, float val)` float atom Number of objects is 1
`GLUniformData(String name, int val)` int atom Number of objects is 1
`GLUniformData(String name, int components, FloatBuffer data)` Multiple FloatBuffer Vector Number of objects is calculated by data.limit()/components
`GLUniformData(String name, int components, IntBuffer data)` Multiple IntBuffer Vector Number of objects is calculated by data.limit()/components
`GLUniformData(String name, int rows, int columns, FloatBuffer data)` Multiple FloatBuffer Matrix Number of objects is calculated by data.limit()/(rows*columns)

Method Summary
`int` | `columns()`
`int` | `components()`
`int` | `count()`
`FloatBuffer` | `floatBufferValue()`
`float` | `floatValue()`
`Buffer` | `getBuffer()`
`int` | `getLocation()`
`String` | `getName()`
`Object` | `getObject()`
`IntBuffer` | `intBufferValue()`
`int` | `intValue()`
`boolean` | `isBuffer()`
`boolean` | `isMatrix()`
`int` | `rows()`
`void` | `setData(float data)`
`void` | `setData(FloatBuffer data)`
`void` | `setData(int data)`
`void` | `setData(IntBuffer data)`
`void` | `setLocation(int location)` Sets the determined location of the shader uniform.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GLUniformData

    public GLUniformData(String name,
                         int val)

  int atom Number of objects is 1

  Parameters:
    `components` - number of elements of one object, ie 4 for GL_FLOAT_VEC4,

### GLUniformData

    public GLUniformData(String name,
                         float val)

  float atom Number of objects is 1

  Parameters:
    `components` - number of elements of one object, ie 4 for GL_FLOAT_VEC4,

### GLUniformData

    public GLUniformData(String name,
                         int components,
                         IntBuffer data)

  Multiple IntBuffer Vector Number of objects is calculated by data.limit()/components

  Parameters:
    `components` - number of elements of one object, ie 4 for GL_FLOAT_VEC4,

### GLUniformData

    public GLUniformData(String name,
                         int components,
                         FloatBuffer data)

  Multiple FloatBuffer Vector Number of objects is calculated by data.limit()/components

  Parameters:
    `components` - number of elements of one object, ie 4 for GL_FLOAT_VEC4,

### GLUniformData

    public GLUniformData(String name,
                         int rows,
                         int columns,
                         FloatBuffer data)

  Multiple FloatBuffer Matrix Number of objects is calculated by data.limit()/(rows*columns)

  Parameters:
    `rows` - the matrix rows
    `column` - the matrix column

Method Detail

### setData

    public void setData(int data)

### setData

    public void setData(float data)

### setData

    public void setData(IntBuffer data)

### setData

    public void setData(FloatBuffer data)

### intValue

    public int intValue()

### floatValue

    public float floatValue()

### intBufferValue

    public IntBuffer intBufferValue()

### floatBufferValue

    public FloatBuffer floatBufferValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### getLocation

    public int getLocation()

### setLocation

    public void setLocation(int location)

  Sets the determined location of the shader uniform.

### getObject

    public Object getObject()

### getBuffer

    public Buffer getBuffer()

### isBuffer

    public boolean isBuffer()

### isMatrix

    public boolean isMatrix()

### count

    public int count()

### components

    public int components()

### rows

    public int rows()

### columns

    public int columns()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.